diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/changelog.txt shorewall-5.0.8.1/changelog.txt
--- shorewall-5.0.8/changelog.txt	2016-04-23 06:42:06.523009000 -0700
+++ shorewall-5.0.8.1/changelog.txt	2016-05-01 10:54:13.243147444 -0700
@@ -1,3 +1,23 @@
+Changes in 5.0.8.1
+
+1)  Update release documents.
+
+2)  Fix handling of optional provider with no IP address
+
+3)  Correct typos in the Events article
+
+4)  Implement standard error messages in the CLI
+
+5)  Include compile time and date in the output of 'status'
+
+6)  Apply Matt Darfeuille's patch set.
+
+7)  Fix Shorewall6 SysV init script.
+
+Changes in 5.0.8 Final
+
+1)  Update release documents.
+
 Changes in 5.0.8 RC 2
 
 1)  Update release documents.
@@ -16,7 +36,7 @@
 
 8)  Add an ESTABLISHED,RELATED rule for o => docker0
 
-9)  ?WARNING and ?INFO
+9)  Add ?WARNING and ?INFO directives
 
 10) Warning on optional provider in the DUPLICATE column
 
@@ -28,7 +48,7 @@
 
 3)  Correct many issues with save/restore of ipsets.
 
-4)  Update DHCP article (refresh -> restart)
+4)  Update DHCP article (refresh -> reload)
 
 5)  Correct start command's handling of AUTOMAKE.
 
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/configfiles/mangle.annotated shorewall-5.0.8.1/configfiles/mangle.annotated
--- shorewall-5.0.8/configfiles/mangle.annotated	2016-04-23 06:42:37.223009000 -0700
+++ shorewall-5.0.8.1/configfiles/mangle.annotated	2016-05-01 10:54:41.517277444 -0700
@@ -316,7 +316,7 @@
 #             then
 #             0xc0a80403 >> 0 = 0xc0a80403
 #             0xc0a80403 LAND 0xFF = 0x03
-#             0x03 LOR 0x0x10100 = 0x10103 or class ID 1:103
+#             0x03 LOR 0x10100 = 0x10103 or class ID 1:103
 # 
 #         It is important to realize that, while class IDs are composed of a
 #         major and a minor value, the set of values must be unique. That is, the
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/configure shorewall-5.0.8.1/configure
--- shorewall-5.0.8/configure	2016-04-23 06:42:06.523009000 -0700
+++ shorewall-5.0.8.1/configure	2016-05-01 10:54:13.243147444 -0700
@@ -28,7 +28,7 @@
 #
 # Build updates this
 #
-VERSION=5.0.8
+VERSION=5.0.8.1
 
 case "$BASH_VERSION" in
     [4-9].*)
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/configure.pl shorewall-5.0.8.1/configure.pl
--- shorewall-5.0.8/configure.pl	2016-04-23 06:42:06.523009000 -0700
+++ shorewall-5.0.8.1/configure.pl	2016-05-01 10:54:13.243147444 -0700
@@ -31,7 +31,7 @@
 # Build updates this
 #
 use constant {
-    VERSION => '5.0.8'
+    VERSION => '5.0.8.1'
 };
 
 my %params;
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/install.sh shorewall-5.0.8.1/install.sh
--- shorewall-5.0.8/install.sh	2016-04-23 06:42:06.251009000 -0700
+++ shorewall-5.0.8.1/install.sh	2016-05-01 10:54:13.227139444 -0700
@@ -22,7 +22,7 @@
 #	along with this program; if not, see <http://www.gnu.org/licenses/>.
 #
 
-VERSION=5.0.8
+VERSION=5.0.8.1
 
 #
 # Change to the directory containing this script
@@ -514,7 +514,7 @@
 # Install the Standard Actions file
 #
 install_file actions.std ${DESTDIR}${SHAREDIR}/$PRODUCT/actions.std 0644
-echo "Standard actions file installed as ${DESTDIR}${SHAREDIR}d/$PRODUCT/actions.std"
+echo "Standard actions file installed as ${DESTDIR}${SHAREDIR}/$PRODUCT/actions.std"
 
 cd configfiles
 
@@ -1177,6 +1177,8 @@
 # Install the Man Pages
 #
 
+if [ -n "$MANDIR" ]; then
+
 cd manpages
 
 [ -n "$INSTALLD" ] || mkdir -p ${DESTDIR}${MANDIR}/man5/ ${DESTDIR}${MANDIR}/man8/
@@ -1196,6 +1198,7 @@
 cd ..
 
 echo "Man Pages Installed"
+fi
 
 if [ -d ${DESTDIR}${CONFDIR}/logrotate.d ]; then
     run_install $OWNERSHIP -m 0644 logrotate ${DESTDIR}${CONFDIR}/logrotate.d/$PRODUCT
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall.8 shorewall-5.0.8.1/manpages/shorewall.8
--- shorewall-5.0.8/manpages/shorewall.8	2016-04-23 06:42:33.147009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall.8	2016-05-01 10:54:37.771405444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Administrative Commands
 .\"    Source: Administrative Commands
 .\"  Language: English
 .\"
-.TH "SHOREWALL" "8" "04/23/2016" "Administrative Commands" "Administrative Commands"
+.TH "SHOREWALL" "8" "05/01/2016" "Administrative Commands" "Administrative Commands"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-accounting.5 shorewall-5.0.8.1/manpages/shorewall-accounting.5
--- shorewall-5.0.8/manpages/shorewall-accounting.5	2016-04-23 06:42:08.667009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-accounting.5	2016-05-01 10:54:14.259655444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-accounting
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-ACCOUNTIN" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-ACCOUNTIN" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-actions.5 shorewall-5.0.8.1/manpages/shorewall-actions.5
--- shorewall-5.0.8/manpages/shorewall-actions.5	2016-04-23 06:42:09.195009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-actions.5	2016-05-01 10:54:14.819935443 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-actions
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-ACTIONS" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-ACTIONS" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-arprules.5 shorewall-5.0.8.1/manpages/shorewall-arprules.5
--- shorewall-5.0.8/manpages/shorewall-arprules.5	2016-04-23 06:42:09.763009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-arprules.5	2016-05-01 10:54:15.348199444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-arprules
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-ARPRULES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-ARPRULES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-blrules.5 shorewall-5.0.8.1/manpages/shorewall-blrules.5
--- shorewall-5.0.8/manpages/shorewall-blrules.5	2016-04-23 06:42:10.343009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-blrules.5	2016-05-01 10:54:15.904477444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-blrules
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-BLRULES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-BLRULES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall.conf.5 shorewall-5.0.8.1/manpages/shorewall.conf.5
--- shorewall-5.0.8/manpages/shorewall.conf.5	2016-04-23 06:42:13.043009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall.conf.5	2016-05-01 10:54:18.269659444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall.conf
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\&.CONF" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\&.CONF" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-conntrack.5 shorewall-5.0.8.1/manpages/shorewall-conntrack.5
--- shorewall-5.0.8/manpages/shorewall-conntrack.5	2016-04-23 06:42:13.763009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-conntrack.5	2016-05-01 10:54:18.917983444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall6-conntrack
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL6\-CONNTRAC" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL6\-CONNTRAC" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-ecn.5 shorewall-5.0.8.1/manpages/shorewall-ecn.5
--- shorewall-5.0.8/manpages/shorewall-ecn.5	2016-04-23 06:42:14.379009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-ecn.5	2016-05-01 10:54:19.434241444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-ecn
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-ECN" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-ECN" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-exclusion.5 shorewall-5.0.8.1/manpages/shorewall-exclusion.5
--- shorewall-5.0.8/manpages/shorewall-exclusion.5	2016-04-23 06:42:14.919009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-exclusion.5	2016-05-01 10:54:19.974511444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-exclusion
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-EXCLUSION" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-EXCLUSION" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-hosts.5 shorewall-5.0.8.1/manpages/shorewall-hosts.5
--- shorewall-5.0.8/manpages/shorewall-hosts.5	2016-04-23 06:42:15.491009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-hosts.5	2016-05-01 10:54:20.522785444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-hosts
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-HOSTS" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-HOSTS" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-init.8 shorewall-5.0.8.1/manpages/shorewall-init.8
--- shorewall-5.0.8/manpages/shorewall-init.8	2016-04-23 06:42:15.959009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-init.8	2016-05-01 10:54:21.023035444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-init
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Administrative Commands
 .\"    Source: Administrative Commands
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-INIT" "8" "04/23/2016" "Administrative Commands" "Administrative Commands"
+.TH "SHOREWALL\-INIT" "8" "05/01/2016" "Administrative Commands" "Administrative Commands"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-interfaces.5 shorewall-5.0.8.1/manpages/shorewall-interfaces.5
--- shorewall-5.0.8/manpages/shorewall-interfaces.5	2016-04-23 06:42:16.735009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-interfaces.5	2016-05-01 10:54:21.811429444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-interfaces
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-INTERFACE" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-INTERFACE" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-ipsets.5 shorewall-5.0.8.1/manpages/shorewall-ipsets.5
--- shorewall-5.0.8/manpages/shorewall-ipsets.5	2016-04-23 06:42:17.379009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-ipsets.5	2016-05-01 10:54:22.359703444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-ipsets
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-IPSETS" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-IPSETS" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-maclist.5 shorewall-5.0.8.1/manpages/shorewall-maclist.5
--- shorewall-5.0.8/manpages/shorewall-maclist.5	2016-04-23 06:42:17.987009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-maclist.5	2016-05-01 10:54:22.899973444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-maclist
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-MACLIST" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-MACLIST" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-mangle.5 shorewall-5.0.8.1/manpages/shorewall-mangle.5
--- shorewall-5.0.8/manpages/shorewall-mangle.5	2016-04-23 06:42:18.967009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-mangle.5	2016-05-01 10:54:23.712379443 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-mangle
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-MANGLE" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-MANGLE" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
@@ -449,7 +449,7 @@
 0xc0a80403 LAND 0xFF = 0x03
 .RE
 .RS 4
-0x03 LOR 0x0x10100 = 0x10103 or class ID
+0x03 LOR 0x10100 = 0x10103 or class ID
                     1:103
 .RE
 It is important to realize that, while class IDs are composed of a
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-masq.5 shorewall-5.0.8.1/manpages/shorewall-masq.5
--- shorewall-5.0.8/manpages/shorewall-masq.5	2016-04-23 06:42:19.651009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-masq.5	2016-05-01 10:54:24.344695443 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-masq
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-MASQ" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-MASQ" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-modules.5 shorewall-5.0.8.1/manpages/shorewall-modules.5
--- shorewall-5.0.8/manpages/shorewall-modules.5	2016-04-23 06:42:20.171009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-modules.5	2016-05-01 10:54:24.868957444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-modules
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-MODULES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-MODULES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-nat.5 shorewall-5.0.8.1/manpages/shorewall-nat.5
--- shorewall-5.0.8/manpages/shorewall-nat.5	2016-04-23 06:42:20.743009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-nat.5	2016-05-01 10:54:25.413229444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-nat
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-NAT" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-NAT" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-nesting.5 shorewall-5.0.8.1/manpages/shorewall-nesting.5
--- shorewall-5.0.8/manpages/shorewall-nesting.5	2016-04-23 06:42:21.299009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-nesting.5	2016-05-01 10:54:25.953499444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-nesting
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-NESTING" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-NESTING" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-netmap.5 shorewall-5.0.8.1/manpages/shorewall-netmap.5
--- shorewall-5.0.8/manpages/shorewall-netmap.5	2016-04-23 06:42:21.827009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-netmap.5	2016-05-01 10:54:26.481763443 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-netmap
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-NETMAP" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-NETMAP" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-params.5 shorewall-5.0.8.1/manpages/shorewall-params.5
--- shorewall-5.0.8/manpages/shorewall-params.5	2016-04-23 06:42:22.355009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-params.5	2016-05-01 10:54:27.006025444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-params
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-PARAMS" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-PARAMS" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-policy.5 shorewall-5.0.8.1/manpages/shorewall-policy.5
--- shorewall-5.0.8/manpages/shorewall-policy.5	2016-04-23 06:42:22.903009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-policy.5	2016-05-01 10:54:27.550297444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-policy
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-POLICY" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-POLICY" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-providers.5 shorewall-5.0.8.1/manpages/shorewall-providers.5
--- shorewall-5.0.8/manpages/shorewall-providers.5	2016-04-23 06:42:23.495009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-providers.5	2016-05-01 10:54:28.122583444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-providers
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-PROVIDERS" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-PROVIDERS" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-proxyarp.5 shorewall-5.0.8.1/manpages/shorewall-proxyarp.5
--- shorewall-5.0.8/manpages/shorewall-proxyarp.5	2016-04-23 06:42:24.023009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-proxyarp.5	2016-05-01 10:54:28.622833444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-proxyarp
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-PROXYARP" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-PROXYARP" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-routes.5 shorewall-5.0.8.1/manpages/shorewall-routes.5
--- shorewall-5.0.8/manpages/shorewall-routes.5	2016-04-23 06:42:24.567009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-routes.5	2016-05-01 10:54:29.147095444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-routes
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-ROUTES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-ROUTES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-rtrules.5 shorewall-5.0.8.1/manpages/shorewall-rtrules.5
--- shorewall-5.0.8/manpages/shorewall-rtrules.5	2016-04-23 06:42:25.107009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-rtrules.5	2016-05-01 10:54:29.683363444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-rtrules
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-RTRULES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-RTRULES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-rules.5 shorewall-5.0.8.1/manpages/shorewall-rules.5
--- shorewall-5.0.8/manpages/shorewall-rules.5	2016-04-23 06:42:26.535009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-rules.5	2016-05-01 10:54:31.092067443 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-rules
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-RULES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-RULES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-secmarks.5 shorewall-5.0.8.1/manpages/shorewall-secmarks.5
--- shorewall-5.0.8/manpages/shorewall-secmarks.5	2016-04-23 06:42:27.087009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-secmarks.5	2016-05-01 10:54:31.648345444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-secmarks
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-SECMARKS" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-SECMARKS" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-stoppedrules.5 shorewall-5.0.8.1/manpages/shorewall-stoppedrules.5
--- shorewall-5.0.8/manpages/shorewall-stoppedrules.5	2016-04-23 06:42:27.631009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-stoppedrules.5	2016-05-01 10:54:32.188615443 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-stoppedrules
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-STOPPEDRU" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-STOPPEDRU" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-tcclasses.5 shorewall-5.0.8.1/manpages/shorewall-tcclasses.5
--- shorewall-5.0.8/manpages/shorewall-tcclasses.5	2016-04-23 06:42:28.227009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-tcclasses.5	2016-05-01 10:54:32.852947444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-tcclasses
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-TCCLASSES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-TCCLASSES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-tcdevices.5 shorewall-5.0.8.1/manpages/shorewall-tcdevices.5
--- shorewall-5.0.8/manpages/shorewall-tcdevices.5	2016-04-23 06:42:28.791009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-tcdevices.5	2016-05-01 10:54:33.509275444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-tcdevices
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-TCDEVICES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-TCDEVICES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-tcfilters.5 shorewall-5.0.8.1/manpages/shorewall-tcfilters.5
--- shorewall-5.0.8/manpages/shorewall-tcfilters.5	2016-04-23 06:42:29.359009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-tcfilters.5	2016-05-01 10:54:34.073557444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-tcfilters
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-TCFILTERS" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-TCFILTERS" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-tcinterfaces.5 shorewall-5.0.8.1/manpages/shorewall-tcinterfaces.5
--- shorewall-5.0.8/manpages/shorewall-tcinterfaces.5	2016-04-23 06:42:29.879009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-tcinterfaces.5	2016-05-01 10:54:34.593817444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-tcinterfaces
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-TCINTERFA" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-TCINTERFA" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-tcpri.5 shorewall-5.0.8.1/manpages/shorewall-tcpri.5
--- shorewall-5.0.8/manpages/shorewall-tcpri.5	2016-04-23 06:42:30.419009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-tcpri.5	2016-05-01 10:54:35.110075444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-tcpri
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-TCPRI" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-TCPRI" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-tunnels.5 shorewall-5.0.8.1/manpages/shorewall-tunnels.5
--- shorewall-5.0.8/manpages/shorewall-tunnels.5	2016-04-23 06:42:30.979009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-tunnels.5	2016-05-01 10:54:35.646343444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-tunnels
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-TUNNELS" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-TUNNELS" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-vardir.5 shorewall-5.0.8.1/manpages/shorewall-vardir.5
--- shorewall-5.0.8/manpages/shorewall-vardir.5	2016-04-23 06:42:31.495009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-vardir.5	2016-05-01 10:54:36.154597444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-vardir
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-VARDIR" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-VARDIR" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/manpages/shorewall-zones.5 shorewall-5.0.8.1/manpages/shorewall-zones.5
--- shorewall-5.0.8/manpages/shorewall-zones.5	2016-04-23 06:42:33.767009000 -0700
+++ shorewall-5.0.8.1/manpages/shorewall-zones.5	2016-05-01 10:54:38.359699444 -0700
@@ -2,12 +2,12 @@
 .\"     Title: shorewall-zones
 .\"    Author: [FIXME: author] [see http://docbook.sf.net/el/author]
 .\" Generator: DocBook XSL Stylesheets v1.78.1 <http://docbook.sf.net/>
-.\"      Date: 04/23/2016
+.\"      Date: 05/01/2016
 .\"    Manual: Configuration Files
 .\"    Source: Configuration Files
 .\"  Language: English
 .\"
-.TH "SHOREWALL\-ZONES" "5" "04/23/2016" "Configuration Files" "Configuration Files"
+.TH "SHOREWALL\-ZONES" "5" "05/01/2016" "Configuration Files" "Configuration Files"
 .\" -----------------------------------------------------------------
 .\" * Define some portability stuff
 .\" -----------------------------------------------------------------
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/Perl/Shorewall/Config.pm shorewall-5.0.8.1/Perl/Shorewall/Config.pm
--- shorewall-5.0.8/Perl/Shorewall/Config.pm	2016-04-23 06:42:06.599009000 -0700
+++ shorewall-5.0.8.1/Perl/Shorewall/Config.pm	2016-05-01 10:54:13.287169444 -0700
@@ -737,7 +737,7 @@
 		    TC_SCRIPT               => '',
 		    EXPORT                  => 0,
 		    KLUDGEFREE              => '',
-		    VERSION                 => "5.0.8",
+		    VERSION                 => "5.0.8.1",
 		    CAPVERSION              => 50004 ,
 		    BLACKLIST_LOG_TAG       => '',
 		    RELATED_LOG_TAG         => '',
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/Perl/Shorewall/Providers.pm shorewall-5.0.8.1/Perl/Shorewall/Providers.pm
--- shorewall-5.0.8/Perl/Shorewall/Providers.pm	2016-04-23 06:42:06.615009000 -0700
+++ shorewall-5.0.8.1/Perl/Shorewall/Providers.pm	2016-05-01 10:54:13.307179444 -0700
@@ -1096,7 +1096,7 @@
 
     if ( $optional ) {
 	if ( $persistent ) {
-	    emit( "persistent_${what}_${table}\n" );
+	    emit( "do_persistent_${what}_${table}\n" );
 	}
 
 	if ( $shared ) {
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/releasenotes.txt shorewall-5.0.8.1/releasenotes.txt
--- shorewall-5.0.8/releasenotes.txt	2016-04-23 06:42:06.523009000 -0700
+++ shorewall-5.0.8.1/releasenotes.txt	2016-05-01 10:54:13.243147444 -0700
@@ -1,7 +1,7 @@
 ----------------------------------------------------------------------------
-	               S H O R E W A L L  5 . 0 . 8
+	            S H O R E W A L L  5 . 0 . 8 . 1
                        ----------------------------
-                        A p r i l  2 4 ,  2 0 1 6
+                          M a y  0 2 ,  2 0 1 6
 ----------------------------------------------------------------------------
 
 I.    PROBLEMS CORRECTED IN THIS RELEASE
@@ -14,6 +14,35 @@
   I.  P R O B L E M S   C O R R E C T E D   I N   T H I S  R E L E A S E
 ----------------------------------------------------------------------------
 
+5.0.8.1
+
+1)  When an optional provider interface did not have an IP address,
+    an error such as the following was seen:
+
+      /var/lib/shorewall/firewall 2442: persistent_provider_ComcastC:
+                                        command not found
+
+    That has been corrected.
+
+2)  Several typos in the Events article have been corrected.
+
+3)  Typos in the shorewall[6]-mangle(5) manpages have been corrected.
+
+4)  A typo in the Shorewall install.sh script has been corrected. The
+    typo resulted in an inaccurate progress message (Matt Darfeuille).
+
+5)  Now, ~/.shorewallrc is removed when Shorewall-core is uninstalled
+    using the uninstall.sh script (Matt Darfeuille).
+
+6)  Manpages are now installed only when MANDIR is non-empty (Matt
+    Darfeuille).
+
+7)  When Shorewall6 was installed using the Shorewall-provided rpm, the
+    SysV init script had broken 'stop' and 'status' implementions. That
+    has been corrected.
+
+5.0.8
+
 1)  This release includes defect repair through Shorewall 5.0.7.2.
 
 2)  If a physical interface name was used in the INTERFACE column of an
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/shorewall.spec shorewall-5.0.8.1/shorewall.spec
--- shorewall-5.0.8/shorewall.spec	2016-04-23 06:42:06.523009000 -0700
+++ shorewall-5.0.8.1/shorewall.spec	2016-05-01 10:54:13.243147444 -0700
@@ -1,6 +1,6 @@
 %define name shorewall
 %define version 5.0.8
-%define release 0base
+%define release 1
 
 Summary: Shoreline Firewall is an iptables-based firewall for Linux systems.
 Name: %{name}
@@ -141,6 +141,8 @@
 %doc COPYING INSTALL changelog.txt releasenotes.txt Contrib/* Samples
 
 %changelog
+* Mon Apr 25 2016 Tom Eastep tom@shorewall.net
+- Updated to 5.0.8-1
 * Tue Apr 19 2016 Tom Eastep tom@shorewall.net
 - Updated to 5.0.8-0base
 * Fri Apr 15 2016 Tom Eastep tom@shorewall.net
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-5.0.8/uninstall.sh shorewall-5.0.8.1/uninstall.sh
--- shorewall-5.0.8/uninstall.sh	2016-04-23 06:42:06.255009000 -0700
+++ shorewall-5.0.8.1/uninstall.sh	2016-05-01 10:54:13.227139444 -0700
@@ -26,7 +26,7 @@
 #       You may only use this script to uninstall the version
 #       shown below. Simply run this script to remove Shorewall Firewall
 
-VERSION=5.0.8
+VERSION=5.0.8.1
 PRODUCT=shorewall
 
 usage() # $1 = exit status
